package com.imofan.android.develop.sns;

import android.content.Context;

/**
 * 用于监听分享情况的监听器接口
 */
public abstract class MFSnsShareListener {
    public static final String   SHARE_RESULT_SUCCESS = "mf_share_success";   //分享成功
    public static final String   SHARE_RESULT_REPEAT = "mf_share_repeat";     //分享内容重复
    public static final String   SHARE_RESULT_TOKEN_INVALID = "mf_share_token_invalid";//access_token过期无效
    public static final String   SHARE_RESULT_IMAGE_TOO_LARGE = "mf_share_image_too_large";//分享图片大小超出限制
    public static final String   SHARE_RESULT_IMAGE_TYPE_ERROR  = "mf_share_image_type_error";//分享图片类型错误
    public static final String   SHARE_RESULT_TEXT_TOO_LARGE = "mf_share_text_too_large";//分享文字字数超出限制
    public static final String   SHARE_RESULT_NET_ERROR = "mf_share_net_error";      //网络原因，出错
    public static final String   SHARE_RESULT_OUT_SEND_LIMIT = "mf_share_out_send_limit"; //分享频率太快，超出限制
    public static final String   SHARE_RESULT_FAILED = "mf_share_failed"; //分享失败

    /**
     * 调用MFOpenService.share方法分享成功后触发该回调方法
     * @param context 当前context对象
     */
    public abstract void onSucceeded(Context context);

    /**
     * 调用MFOpenService.share方法分享失败后触发该回调方法
     * @param context 当前context对象
     */
    public abstract void onFailed(Context context,String errorMessage);
    public abstract void onTencentWeiBoSucceeded(Context context);
    public abstract void onTencentQzoneSucceeded(Context context);
    public abstract void onSinaSucceeded(Context context);
    public abstract void onRenrenSucceeded(Context context);
    public abstract void onWeiXinSucceeded(Context context);
    public abstract void onWeiXinFriendsSucceeded(Context context);
    public abstract void onTencentQQSucceeded(Context context);
    public abstract void onPause(Context context);
    public abstract void onResume(Context context);
    public void onSelectedPause(Context context){};
    public void onSelectedResume(Context context){};
}
